@REM  Betty-TV-Fernbedienung
@REM  eine Betty-App erzeugen mit GCC
@ECHO OFF

SET ARMHOME=D:\GNU
SET PATH=%ARMHOME%\BIN

echo Assembliere Startup
ARM-NONE-EABI-AS -a=AppStartupGcc.lst -o AppStartupGcc.o -mcpu=arm7tdmi -D -EL AppStartupGcc.asm
if Errorlevel==1 goto ende

echo Assembliere BettyApiGcc
ARM-NONE-EABI-AS -a=BettyApiGcc.lst -o BettyApiGcc.o -mcpu=arm7tdmi -mthumb -D -EL BettyApiGcc.asm
if Errorlevel==1 goto ende

echo Compile AppMenuain
ARM-NONE-EABI-GCC @appcompilegcc.xcl appmenu.c
if Errorlevel==1 goto ende

echo Compile AppMain
ARM-NONE-EABI-GCC @appcompilegcc.xcl appmain.c
if Errorlevel==1 goto ende

echo Linke
ARM-NONE-EABI-LD @applinkgcc.xcl 
if Errorlevel==1 goto ende

echo Mache Hex
ARM-NONE-EABI-OBJCOPY -O ihex applinkedgcc.axf BettyAppgcc.hex
if Errorlevel==1 goto ende

echo Mache Bin
ARM-NONE-EABI-OBJCOPY -O binary applinkedgcc.axf BettyAppgcc.bin
if Errorlevel==1 goto ende

echo So, das war's.
REM hier Brenner aufrufen
pause
goto schluss

:ende
echo ...
echo Hei, da ist was schiefgelaufen!
pause

:schluss

